## kxml2 2.3.0%2Bds1

=== debian/changelog ===
kxml2 (2.3.0+ds1-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 28 Dec 2020 01:58:32 +0100

kxml2 (2.3.0+ds1-2) unstable; urgency=low

  * Switch maintainership to pkg-java team:
    - Remove David Paleino <dapal@debian.org> from Uploaders
      (acked by himself - thanks for your work David!).
    - Add myself as Uploaders.
    - Set pkg-java team as Maintainer.
    - Update Vcs-* fields.
  * Maven repository support (Closes: #623948):
    - d/control: Add B-D on maven-repo-helper.
    - d/rules: Add "maven_repo_helper" sequence to dh.
    - d/libkxml2-java.{links,install}: Drop.
    - d/poms/*.xml: Add 2 new XML file to describe each artifacts.
    - d/libkxml2-java.poms: Describe installation of artifacts.
  * Bump Standards-Version to 3.9.2: no changes needed.

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 10 May 2011 20:01:22 +0200

kxml2 (2.3.0+ds1-1) unstable; urgency=low

  * Initial release (Closes: #494588)

 -- David Paleino <dapal@debian.org>  Sun, 06 Jun 2010 15:15:47 +0200
