## kxml2 2.3.0+ds1

=== debian/changelog ===
kxml2 (2.3.0+ds1-3) unstable; urgency=low

  * Team Upload

  [ Jakub Adam ]
  * Build-depend on maven-repo-helper (>= 1.5~):
    - fixes lintian-reported error missing-build-dependency-for-dh-addon.
  * Update format of d/copyright:
    - fixes lintian-reported warning obsolete-field-in-dep5-copyright.
  * Add Jakub Adam to Uploaders.
  * Bump Standards-Version to 3.9.4: no changes needed.

  [ Andreas Tille ]
  * Fix Homepage
  * Fix watch file, remove files from upstream source via Files-Excluded
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Do not parse d/changelog (routine-update)
  * Make "Files: *" paragraph the first in the copyright file.
  * Adapt doc-base to location chosen by later debhelper compat level

 -- Andreas Tille <tille@debian.org>  Sun, 02 Feb 2025 21:10:06 +0100
