=== debian/control ===
Source: kxml2
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Damien Raude-Morvan <drazzib@debian.org>,
           Jakub Adam <jakub.adam@ktknet.cz>
Section: java
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libxpp3-java,
               ant,
               default-jdk-headless,
               maven-repo-helper,
               bnd
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/java-team/kxml2
Vcs-Git: https://salsa.debian.org/java-team/kxml2.git
Homepage: https://github.com/kobjects/kxml2

Package: libkxml2-java
Architecture: all
Depends: ${java:Depends},
         ${misc:Depends}
Description: small XML parser, designed for small environments
 kXML is a small XML pull parser, specially designed for constrained
 environments such as Applets, Personal Java or MIDP devices. In
 contrast to kXML 1, kXML 2 is based on the common XML pull API.
 .
 Pull based XML parsing combines some of the advantages of SAX and DOM:
 .
  - In contrast to push parsers (SAX), pull parsers such as kXML make it
    possible to model the XML processing routines after the structure of
    the processed XML document. Events processing is similar to an
    InputStream. If a part of the stream requires special handling, the
    parser can simply be delegated to a specialized method by handing over
    the parser.
  - While the above is also possible with an explicit DOM, DOM usually
    requires that the whole document structure is present in main memory.
  - In contrast to DOM based parsing, the XML events are accessible
    immediately when they are available, it is not necessary to wait for
    the whole tree to build up.

Package: libkxml2-java-doc
Architecture: all
Section: doc
Depends: ${java:Depends},
         ${misc:Depends}
Description: small XML parser, designed for small environments - docs
 kXML is a small XML pull parser, specially designed for constrained
 environments such as Applets, Personal Java or MIDP devices. In
 contrast to kXML 1, kXML 2 is based on the common XML pull API.
 .
 Pull based XML parsing combines some of the advantages of SAX and DOM:
 .
  - In contrast to push parsers (SAX), pull parsers such as kXML make it
    possible to model the XML processing routines after the structure of
    the processed XML document. Events processing is similar to an
    InputStream. If a part of the stream requires special handling, the
    parser can simply be delegated to a specialized method by handing over
    the parser.
  - While the above is also possible with an explicit DOM, DOM usually
    requires that the whole document structure is present in main memory.
  - In contrast to DOM based parsing, the XML events are accessible
    immediately when they are available, it is not necessary to wait for
    the whole tree to build up.
 .
 This package contains the documentation.
