=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with maven_repo_helper

override_dh_auto_build:
	dh_auto_build -- build_jar
	# Generate OSGi metadata into kxml2-min jar manifest.
# This fails to build
#	bnd wrap -properties debian/kxml2-min.bnd -output dist/kxml2-min-*.jar dist/kxml2-min-*.jar

override_dh_auto_clean:
	dh_clean dist/*
